<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Cart extends Model
{
    protected $table = 'cart';
    protected $fillable = [
        'user_id',
        'company_id',
        'name',
        'delivery_type',
        'delivery_location',
        'qty',
        'price',
        'signature',
        'voucher',
        'combo',
        'status'
    ];

    public function deliveryLocation(){
        return $this->hasOne('App\ShippingAddress',  'id', 'delivery_location');
    }
}
