<?php

//Test
$app->get('logs', 'LogsController@index');


//    Customers Area
$app->post('customer/list', 'CustomerController@getCustomers');
$app->post('customer/status', 'CustomerController@postCustomerStatus');
$app->post('member/create', 'CustomerController@MemberCreate');
$app->post('member/update', 'CustomerController@MemberUpdate');


//Orders
$app->post('customer/order/list', 'OrderController@getCustomerOrder');
$app->post('customer/order', 'OrderController@getOrderItems');
$app->post('company/order/list', 'OrderController@getCompanyOrder');
$app->post('order/close', 'OrderController@closeOrder');
$app->post('order/status/change', 'OrderController@changeStatus');
$app->post('order/cancel', 'OrderController@cancelOrder');
$app->post('order/cancel/pickup', 'OrderController@cancelPickOrder');
$app->post('order/expire', 'OrderController@expireOrder');
$app->post('order/reminder/2', 'OrderController@expireTwoDays');
$app->post('order/reminder/7', 'OrderController@expireSevenDays');
$app->post('order/status/shipped', 'OrderController@confirmShipped');
$app->post('order/pending', 'OrderController@resolvePending');
$app->post('order/bulk_cancel', 'OrderController@bulk_cancel_order');
$app->post('cart/pending', 'OrderController@get_pending_cart');

//Order Report
$app->post('company/customer/orders', 'OrderController@ordersReportByDate');


//    Transactions Area
//$app->get('transaction/list', 'CustomerController@getTransactions');
$app->post('customer/transaction/list', 'CustomerController@customerTransactions');
$app->post('company/transaction/list', 'CompanyController@getCompanyTransaction');


//Company Data area
$app->post('company/create', 'CompanyController@CreateCompany');
$app->post('company/customer/list', 'CompanyController@getCompanyCustomers');
$app->post('company/customer/show', 'CompanyController@getCompanyCustomer');
$app->post('company/show', 'CompanyController@getCompanyData');
$app->post('customer/points', 'CompanyController@getCompanyCustomersWithPoints');
$app->post('company/forfeit', 'CompanyController@forfiet_all_user_points');
$app->post('company/customer/disabled', 'CompanyController@getCompanyCustomersDisabled');
$app->post('company/customer/nologin', 'CompanyController@getCompanyCustomersEnabledNoLogin');
$app->post('company/customer/nologin/sms', 'CompanyController@getCompanyCustomersNoLoginSms');
$app->post('company/customer/login', 'CompanyController@getCompanyCustomersEnabledHaveLogin');
$app->post('company/customer/login/sms', 'CompanyController@getCompanyCustomersloginCustomSMS');
$app->post('company/customer/nologin/email', 'CompanyController@sendCompanyCustomersNologinEmail');


//App Currency/Settings
$app->post('appcurrency', 'CompanyController@appCurrency');
$app->post('appcurrency/update', 'CompanyController@updateCurrency');
$app->post('appcurrency/convert', 'CompanyController@convertCurrency');
$app->post('company/api/status/set', 'CompanyController@setCompanyApiStatus');
$app->post('company/api/status/get', 'CompanyController@getCompanyApiStatus');
$app->post('company/pin_access/set', 'CompanyController@setCompanyPinStatus');


//Accounts
$app->post('customer/account/credit', 'AccountController@customerCredit');
$app->post('customer/account/debit', 'AccountController@customerDebit');
$app->post('customer/account/total', 'AccountController@customerAccountTotal');
$app->post('customer/account/credit/total', 'AccountController@getMemberPointTotalCredit');
$app->post('customer/account/debit/total', 'AccountController@getMemberPointTotalDebit');
$app->get('customer/list/account', 'AccountController@getCustomersPlusAccount');
