<?php

class CompanyDataTest extends TestCase
{

//    public function testCreateCompany(){
//        $localizedFaker = Faker\Factory::create('en_NG');
//        $newcompany =
//         [
//            'name' => $localizedFaker->name,
//            'token' => $localizedFaker->randomNumber(6),
//            'client_number' => $localizedFaker->randomNumber(8),
//        ];
//
//        $this->post('/company/create', $newcompany, ['Accept' => 'application/json'])
//            ->seeStatusCode(200);
//    }

//    public function testDeleteCompany(){
//        $this->post('/company/delete', ['client_number' => 66227845], ['Accept' => 'application/json'])
//            ->seeStatusCode(200);
//    }

    public function testGetCompanyCustomers()
    {
        $this->post('/company/customer/list', ['client_number' => 6])
            ->seeStatusCode(200);
    }

    public function testGetCompanyCustomer()
    {
        $this->post('/company/customer/show', ['client_number' => 6, 'member_number' => 2111])
            ->seeStatusCode(200);
    }

    public function testGetCompanyData()
    {
        $this->post('/company/show', ['client_number' => 6])
            ->seeStatusCode(200);
    }

    public function testGetCompanyTransaction()
    {
        $this->post('/company/transaction/list', ['client_number' => 6])
            ->seeStatusCode(200)
            ->seeJsonStructure([
                    'data' => [
                        "id",
                        "created_at",
                        "updated_at",
                        "type",
                        "type_name",
                        "is_internal_action",
                        "is_internal_action_name",
                        "order_id",
                        "company_id",
                        "member_id",
                        "trans_by",
                        "point_raw",
                        "point_virtual",
                        "balance_raw",
                        "balance_virtual",
                        "reason"
                    ]
                ]
            );

    }

    public function testGetCompanyOrder()
    {
        $this->post('/company/order/list', ['client_number' => 6])
            ->seeStatusCode(200);
    }

}